Hot Search
- ptc ceramic heater
- ptc heater element
- ptc room heater
- halogen lamp type
- ptc resettable fuse
- instant start fluorescent lamp
- ptc air heater
- pulse start metal halide lamp
- ptc ntc thermistor
- ptc fan heater
- ptc heating plate
- ntc ptc thermistor
- self heating thermistor
- ntc thermistor temperature sensor
- surface mount thermistor
Related Search
- thermistor temperature sensor
- ptc water heater
- thermistor protection relay
- ntc thermistor sensor
- ptc starter relay
- ptc relay refrigeration
- ntc power thermistor
- wall mounted ptc heater
- ptc heating element
- ptc ceramic heating element
- thermistor flow sensor
- ntc thermistor probe
- led lamp type
- temperature measurement thermistor
- ptc temperature sensor
Request For Quotation
300R 5mm PTC Positive Temperature Coefficient Lamp starting PTC Type Thermistor
Price: TBA
Get Latest Price
- Brand Name: AMPFORT
- Model Number: SPMZC-729565
- Minimum Order Quantity: 1000 Pieces
- Delivery Time: 2 Weeks
- view more
MZ8 PTC Type Thermistor
Price: Negotiable
Get Latest Price
- Brand Name: TIAN RUI
- Model Number: MZ8
- Minimum Order Quantity: 1000pcs
- Delivery Time: 5-7 work days
- view more
PTC Pill Thermistor Refrigerator Relay Switch High Precision CQC Certification
Price: Negotiable
Get Latest Price
- Brand Name: Hwalon
- Model Number: PR3
- Minimum Order Quantity: 10000pcs
- Delivery Time: 7work day
- view more
100-200 Ω Disc Type Thermistor PTC NTC Ceramic MZ21 04BB small size
Price: Negotiable
Get Latest Price
- Brand Name: QingZhu
- Model Number: MZ21-05BB301M
- Minimum Order Quantity: 1000 pcs
- Delivery Time: 7 to 10 days
- view more
Lead Type Thermistor TKS PPL03222MA0B2YGU Featuring 3 Millimeter Body Size and 220 Volt Rated Voltage
Price: Negotiable
Get Latest Price
- Brand Name: Negotiable
- Model Number: PPL03222MA0B2YGU
- Minimum Order Quantity: Negotiable
- Delivery Time: Negotiable
- view more
Durable Lighting Switching PTC Thermistor / Chip Thermistor For Preheated Start
Price: Negotiable
Get Latest Price
- Brand Name: UCHI
- Model Number: PTC Thermistors for Lighting Switching
- Minimum Order Quantity: 1000PCS
- Delivery Time: 7 working days
- view more
MZ31 16P Positive Temperature Coefficient Thermistor 18MM PTC Thermistor Resistance MZ21- P500RMN
Price: Negotiable
Get Latest Price
- Brand Name: ALT
- Model Number: MZ21- P500RMN
- Minimum Order Quantity: Negotiable
- Delivery Time: 5-8 work days
- view more
Vacuum Atmosphere Box Type Sintering Furnace For Thermistor PTC NTC 180L SUS304 20kW
Price: USD 20,000-30,000/unit
Get Latest Price
- Brand Name: Tailord
- Model Number: MBF180-10
- Minimum Order Quantity: 1 Unit
- Delivery Time: 75-90 Days
- view more
High Reliability Sensitive Resistor Flameproof PTC Thermistors For Heater Control
Price: Please contact us for details
Get Latest Price
- Brand Name: TYOHM
- Model Number: CP
- Minimum Order Quantity: 2K
- Delivery Time: 7-10 work days
- view more
High-Pressure Mercury UV Curing Lamp with 417nm Wave Peak Ceramic Head Base and 110-1270mm Arc Length
Price: Negotiable
Get Latest Price
- Brand Name: UVIR
- Model Number: XUV 01 6050 ACG FS
- Minimum Order Quantity: 10
- Delivery Time: 15-20 Work day
- view more
High Temperature Resistance 22 AWG PTFE Wire For PTC Thermistor
Price: Negotiation
Get Latest Price
- Brand Name: SANCO
- Model Number: AFR-250
- Minimum Order Quantity: 100m
- Delivery Time: 3~8days
- view more
Compact Bimetal Thermal Protector 17AMH Model Lamps And Lighting Usage
Price: Us$0.23
Get Latest Price
- Brand Name: HENG HAO
- Model Number: 17AMH
- Minimum Order Quantity: 1000PCS
- Delivery Time: 5-7 days
- view more
Ip68 Rated Injection Molded Double Rolling Stainless Steel Ntc Ptc Rtd Pt100 Pt1000 Waterproof Temperature Sensor
Price: Negotiable
Get Latest Price
- Brand Name: Bairui Electric
- Model Number: PT100
- Minimum Order Quantity: 10 pieces
- Delivery Time: Negotiable
- view more
Quartz Tube Small Desk Heater Fan 0.6Kg Portable Electric PTC
Price: 2-49pcs 26$;50-499pcs 25$;500-4999pcs 23.8$;>5000pcs 22.5$
Get Latest Price
- Brand Name: HEBRONFAN
- Model Number: P9
- Minimum Order Quantity: 2
- Delivery Time: 15-20 day
- view more
Factory Sales Outdoor LED Lighting Tools Camping Emergency Lamp Replaceable Rechargeable Battery Super Bright Head Lamp
Price: $3.70-4.10 / piece
Get Latest Price
- Brand Name: Negotiable
- Model Number: XY-171
- Minimum Order Quantity: 10 pieces
- Delivery Time: Negotiable
- view more
New Mitsubishi Outlander GF8W 8401A265YA Auto Halogen Roof Light Lamp 12V 18W Car Headlight Inside Inner Assembly
Price: $23.50 / piece
Get Latest Price
- Brand Name: KL
- Model Number: 8401A265YA
- Minimum Order Quantity: 1 piece
- Delivery Time: Negotiable
- view more
53*42*51cm LED Growth Lamp Small Plants 5 Level Dimming Seed Grow Light
Price: Negotiable
Get Latest Price
- Brand Name: QiFan
- Model Number: GL-05
- Minimum Order Quantity: 300pcs
- Delivery Time: 15days
- view more
5.9kw 7000rpm Moped Motor Scooters Crystal Halogen Lamps 80km/H Kick Start
Price: Negotiable
Get Latest Price
- Brand Name: BAMX
- Model Number: BX125T-1
- Minimum Order Quantity: 75 Units
- Delivery Time: 40-45 work days
- view more
Bullet Type Aluminium NTC Thermistor Temperature Sensor For Car Evaporator
Price: Negotiable
Get Latest Price
- Brand Name: Hefei Minsing
- Model Number: MFP-3
- Minimum Order Quantity: 100pcs
- Delivery Time: 7-10 work days
- view more
Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp
Price: Negotiable
Get Latest Price
- Brand Name: GRH
- Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
- Minimum Order Quantity: 1000 PCS
- Delivery Time: Negotiable
- view more
